## node-stringprep 0.0.3

=== wscript ===
import os

def backtick(cmd):
  return os.popen(cmd).read().strip()

srcdir = '.'
blddir = 'build'
VERSION = '0.0.2'

def set_options(opt):
  opt.tool_options('compiler_cxx')

def configure(conf):
  conf.check_tool('compiler_cxx')
  conf.check_tool('node_addon')
  if backtick('icu-config --version')[0] != '4':
    conf.fatal('Missing library icu 4.x.x')
  conf.env['CXXFLAGS_ICU'] = backtick('icu-config --cxxflags').split(' ')
  conf.env['LINKFLAGS_ICU'] = backtick('icu-config --ldflags-libsonly').split(' ')

def build(bld):
  obj = bld.new_task_gen('cxx', 'shlib', 'node_addon')
  obj.target = 'node-stringprep'
  obj.source = 'node-stringprep.cc'
  obj.uselib = 'ICU'

=== debian/changelog ===
node-stringprep (0.0.3-1build1) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 17:16:11 +0000

node-stringprep (0.0.3-1) unstable; urgency=low

  * New upstream release.
  * Fix tie proper email addresses to artist and real name of upstream
    author, as per request.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Mar 2011 13:32:21 +0200

node-stringprep (0.0.2~0f451d-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611450.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 16:26:34 +0100

=== debian/control ===
Source: node-stringprep
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 nodejs-dev (>= 0.2.6),
 libicu-dev
Standards-Version: 3.9.1
Homepage: https://github.com/astro/node-stringprep
Vcs-Git: git://git.debian.org/git/collab-maint/node-stringprep
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-stringprep.git

Package: libnode-node-stringprep
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 nodejs
Description: ICU StringPrep profiles for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-stringprep provides a Node binding to ICU, exposing predefined
 Unicode normalization functions that are required by many protocols.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/astro/node-stringprep .*/v(\d.*).tar.gz

## node-stringprep 0.1.2

=== debian/changelog ===
node-stringprep (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatilibity level to 7.
  * Drop unneeded explicit directory creation during build.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 13:37:16 +0700

node-stringprep (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Rename libnode-node-stringprep → node-node-stringprep. Replace and
    conflict with (and temporarily provide) old package name.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Relax to build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Nov 2011 22:59:14 +0700

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,23 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- debhelper (>= 6),
+ debhelper,
  dh-buildinfo,
  nodejs-dev (>= 0.2.6),
  libicu-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://github.com/astro/node-stringprep
 Vcs-Git: git://git.debian.org/git/collab-maint/node-stringprep
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-stringprep.git
 
-Package: libnode-node-stringprep
+Package: node-node-stringprep
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  nodejs
+Conflicts: libnode-node-stringprep
+Replaces: libnode-node-stringprep
+Provides: libnode-node-stringprep
 Description: ICU StringPrep profiles for Node
  Node is an event-based server-side JavaScript engine.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-stringprep
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libpkgname = node-node-stringprep

CDBS_BUILD_DEPENDS += , nodejs-dev (>= 0.2.6), libicu-dev

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-stringprep/
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = d1c21cfa682febc8a4f5b8a058611d33

DEB_INSTALL_DOCS_$(libpkgname) += README.markdown

configure/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf configure

build/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf build

install/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf install

# Node modules have an uncommon extension preventing autodetection by
# dh_shlibdeps, so we do it manually
binary-strip-IMPL/$(libpkgname)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
binary-predeb-IMPL/$(libpkgname)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +

clean::
	rm -rf build
	rm -f .lock-wscript

## node-stringprep 0.1.3

=== debian/changelog ===
node-stringprep (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.
  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:37:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-buildinfo,
  nodejs-dev (>= 0.2.6),
  libicu-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/astro/node-stringprep
 Vcs-Git: git://git.debian.org/git/collab-maint/node-stringprep
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-stringprep.git

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-stringprep/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = d1c21cfa682febc8a4f5b8a058611d33
+DEB_UPSTREAM_TARBALL_MD5 = 1a73c8d9183e1f52c01e02259553f67d
 
 DEB_INSTALL_DOCS_$(libpkgname) += README.markdown

=== debian/watch ===
version=3
http://githubredir.debian.net/github/astro/node-stringprep .*?(\d[^/]*).tar.gz

## node-stringprep 0.1.5

=== wscript ===
--- 
+++ 
@@ -15,8 +15,9 @@
   conf.check_tool('node_addon')
   if backtick('icu-config --version')[0] != '4':
     conf.fatal('Missing library icu 4.x.x')
-  conf.env['CXXFLAGS_ICU'] = backtick('icu-config --cxxflags').split(' ')
-  conf.env['LINKFLAGS_ICU'] = backtick('icu-config --ldflags-libsonly').split(' ')
+  conf.env['CXXFLAGS_ICU'] = backtick('icu-config --cppflags').replace('-pedantic', '').split(' ')
+  conf.env['LINKFLAGS_ICU'] = backtick('icu-config --ldflags').split(' ')
+  conf.env.set_variant("default")
 
 def build(bld):
   obj = bld.new_task_gen('cxx', 'shlib', 'node_addon')

=== debian/changelog ===
node-stringprep (0.1.5-1ubuntu1) trusty; urgency=medium

  * Switch from node-waf to node-gyp to fix FTBFS (Closes: #719382)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 29 Dec 2013 04:30:07 -0700

node-stringprep (0.1.5-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 14:57:22 +0000

node-stringprep (0.1.5-1) unstable; urgency=low

  [ upstream ]
  * New release.

  * Have git-import-orig suppress .gitignore files.
  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Use anonscm.debian.org URL for control file Vcs-* fields.
  * Update copyright file:
    + Fix use comment pseudo-paragraph to obey silly restrictions of
      copyright format 1.0.
    + Shorten GPL License comment, and quote license name.
  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 06 Mar 2013 01:01:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: node-stringprep
 Section: web
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
  nodejs-dev (>= 0.2.6),
+ node-gyp,
  libicu-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/astro/node-stringprep
-Vcs-Git: git://git.debian.org/git/collab-maint/node-stringprep
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-stringprep.git
+Vcs-Git: git://anonscm.debian.org/git/collab-maint/node-stringprep
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-stringprep.git
 
 Package: node-node-stringprep
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,21 +28,21 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-stringprep/
+DEB_UPSTREAM_URL = http://github.com/astro/node-stringprep/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 1a73c8d9183e1f52c01e02259553f67d
+DEB_UPSTREAM_TARBALL_MD5 = 31b51eaf62afd5cec42b251652d9aefa
 
 DEB_INSTALL_DOCS_$(libpkgname) += README.markdown
 
 configure/$(libpkgname)::
-	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf configure
+	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-gyp configure
 
 build/$(libpkgname)::
-	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf build
+	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-gyp build
 
 install/$(libpkgname)::
-	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf install
+	install -m 644 -D build/Release/node-stringprep.node \
+	  $(cdbs_curdestdir)/usr/lib/nodejs/node-stringprep.node
 
 # Node modules have an uncommon extension preventing autodetection by
 # dh_shlibdeps, so we do it manually

=== debian/watch ===
version=3
https://github.com/astro/node-stringprep .*/archive/v?(\d[\d\.]+).tar.gz

## node-stringprep 0.6.2

=== debian/changelog ===
node-stringprep (0.6.2-2build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:49 +0100

node-stringprep (0.6.2-2) unstable; urgency=medium

  * Fix install path.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 22:11:07 +0200

node-stringprep (0.6.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Add README.source emphasizing that control.in file is *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Switch upstream URLs to reflect new home at
    https://github.com/node-xmpp/node-stringprep.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-* fields to use canonical URLs and cgit browser.
  * Update package relations:
    + Drop obsolete provides/replaces/conflicts against
      libnode-node-stringprep.
    + Relax to build-depend unversioned on nodejs-dev: Needed version
      satisfied even in oldstable.
    + Build-depend on node-nan.
    + Depend on node-bindings and node-debug.
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Modernize CDBS inclusions: Needed packages are even in oldstable.
    Build-depend on devscripts.
  * Stop track md5sum of upstream tarball: Compare tarball against
    upstream git commits instead.
  * Update copyright info:
    + Extend coverage for myself.
    + Bump packaging copyright to GPL-3+.
  * Adapt rules file to use node-gyp.
    Build-depend on node-gyp.
  * Add patch 2001 to call nodejs (not node) executable.

  [ Leo Iannacone ]
  * Handle eventual prereleases and repackaging in watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 19:07:21 +0200

=== debian/control ===
Source: node-stringprep
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 node-gyp,
 node-nan,
 libicu-dev
Standards-Version: 3.9.6
Homepage: https://github.com/node-xmpp/node-stringprep
Vcs-Git: git://anonscm.debian.org/collab-maint/node-stringprep
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-stringprep.git

Package: node-node-stringprep
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: ICU StringPrep profiles for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-stringprep provides a Node binding to ICU, exposing predefined
 Unicode normalization functions that are required by many protocols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-stringprep
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = node-node-stringprep
libdir = /usr/lib/nodejs/node-stringprep

DEB_UPSTREAM_URL = http://github.com/node-xmpp/node-stringprep/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

# Needed by upstream build
bdeps = nodejs-dev, node-gyp, node-nan, libicu-dev

# Needed at runtime
depends = nodejs, node-bindings, node-debug

CDBS_BUILD_DEPENDS +=, $(bdeps)
CDBS_DEPENDS_$(pkg) = $(depends)

DEB_INSTALL_DOCS_$(pkg) += README.markdown
DEB_DH_INSTALL_ARGS_$(pkg) = package.json index.js $(libdir)

buildflags = $(foreach flag,CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS,\
 $(flag)="$($(flag))")
configure/$(pkg):: debian/stamp-node-gyp-configure
debian/stamp-node-gyp-configure:
	node-gyp configure
	touch $@
build/$(pkg):: debian/stamp-node-gyp-build
install/$(pkg)::
	install -m 644 -D -t debian/$(cdbs_curpkg)$(libdir)/build/Release \
	build/Release/*.node
debian/stamp-node-gyp-build:
	V=1 $(buildflags) node-gyp build
	touch $@
clean::
	node-gyp clean
	rm -f debian/stamp-node-gyp-*

# Node modules have an uncommon extension preventing autodetection by
# dh_shlibdeps, so we do it manually
binary-strip-IMPL/$(pkg)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),\
		,\
		find "$(cdbs_curdestdir)" \
			-name "*.node" \
			-exec strip \
				--remove-section=.comment \
				--remove-section=.note \
				--strip-unneeded {} +)
binary-predeb-IMPL/$(pkg)::
	find "$(cdbs_curdestdir)" \
		-name "*.node" \
		-exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\?(debian|dfsg|ds|deb)\d*$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-stringprep-$1.tar.gz/ \
https://github.com/node-xmpp/node-stringprep/tags .*/archive/v?([\d\.]+).tar.gz

## node-stringprep 0.8.0

=== debian/changelog ===
node-stringprep (0.8.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Xavier Guimard ]
  * Fix cdbs files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Jan 2019 13:58:51 +0100

node-stringprep (0.8.0-4) unstable; urgency=medium

  * Team upload

  [ Jérémy Lal ]
  * Move to salsa
  * Refresh control

  [ Xavier Guimard ]
  * Fix compilation errors with 2 patches (Closes: #895029)
  * Add minimal autopkgtest files
  * Declare compliance with policy 4.3.0
  * Change section to javascript
  * Bump debhelper compatibility level to 10 (due to cdbs)
  * Update debian/copyright links
  * Update debian/control links
  * Set hardening flags
  * Update build dependencies:
    - libnode-dev instead of nodejs-dev
    - node-gyp >= 3.8.0-2s
  * Remove useless dh_nodejs

 -- Xavier Guimard <yadd@debian.org>  Thu, 10 Jan 2019 21:49:17 +0100

node-stringprep (0.8.0-3) unstable; urgency=medium

  * Update watch file: Use substitution string @PACKAGE@.
  * Update homepage.
  * Update watch file: Drop unneeded repackaging options.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update copyright info: Extend coverage of Debian packaging.
  * Cleanup gyp only if built, to simplify bootstrapping a build.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Jan 2017 19:41:40 +0100

node-stringprep (0.8.0-2) unstable; urgency=medium

  * Team Upload
  * Call dh_nodejs (Closes: #848886)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 16:25:59 +0100

node-stringprep (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten build-dependency on node-nan.
    + Tighten dependency on node-bindings.
    + Build-depend on licensecheck (not devscripts).
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-Git field: Use https URL.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend copyright of packaging to cover current year.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update watch file:
    + Bump to version 4.
    + Use Github and repack patterns.
    + Mention uscan and gpb in usage comment.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Aug 2016 15:48:41 +0200

=== debian/control ===
Source: node-stringprep
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 licensecheck,
 debhelper (>= 10~),
 dh-buildinfo,
 libnode-dev,
 node-gyp (>= 3.8.0-2),
 node-nan (>= 2.3.3),
 libicu-dev
Standards-Version: 4.3.0
Homepage: https://node-xmpp.org/
Vcs-Git: https://salsa.debian.org/js-team/node-stringprep.git
Vcs-Browser: https://salsa.debian.org/js-team/node-stringprep

Package: node-node-stringprep
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: ICU StringPrep profiles for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-stringprep provides a Node binding to ICU, exposing predefined
 Unicode normalization functions that are required by many protocols.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for node-stringprep
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,7 +16,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/langcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -24,14 +25,11 @@
 pkg = node-node-stringprep
 libdir = /usr/lib/nodejs/node-stringprep
 
-DEB_UPSTREAM_URL = http://github.com/node-xmpp/node-stringprep/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-
 # Needed by upstream build
-bdeps = nodejs-dev, node-gyp, node-nan, libicu-dev
+bdeps = libnode-dev, node-gyp (>= 3.8.0-2), node-nan (>= 2.3.3), libicu-dev
 
 # Needed at runtime
-depends = nodejs, node-bindings, node-debug
+depends = nodejs, node-bindings (>= 1.2.1), node-debug
 
 CDBS_BUILD_DEPENDS +=, $(bdeps)
 CDBS_DEPENDS_$(pkg) = $(depends)
@@ -39,21 +37,22 @@
 DEB_INSTALL_DOCS_$(pkg) += README.markdown
 DEB_DH_INSTALL_ARGS_$(pkg) = package.json index.js $(libdir)
 
-buildflags = $(foreach flag,CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS,\
- $(flag)="$($(flag))")
 configure/$(pkg):: debian/stamp-node-gyp-configure
 debian/stamp-node-gyp-configure:
 	node-gyp configure
 	touch $@
 build/$(pkg):: debian/stamp-node-gyp-build
+debian/stamp-node-gyp-build:
+	V=1 $(foreach flag,CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS,\
+		$(flag)="$($(flag))") \
+		node-gyp build
+	touch $@
 install/$(pkg)::
 	install -m 644 -D -t debian/$(cdbs_curpkg)$(libdir)/build/Release \
 	build/Release/*.node
-debian/stamp-node-gyp-build:
-	V=1 $(buildflags) node-gyp build
-	touch $@
+cleanbuilddir::
+	[ ! -e debian/stamp-node-gyp-build ] || node-gyp clean
 clean::
-	node-gyp clean
 	rm -f debian/stamp-node-gyp-*
 
 # Node modules have an uncommon extension preventing autodetection by

=== debian/tests/control ===
Tests: require
Depends: node-node-stringprep
